<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
   Copyright (C) 2002-2003 Index Data Aps, www.indexdata.dk

   This file is part of TKL.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 dated June, 1991.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   A copy of the GNU General Public License is also available at
   <URL:http://www.gnu.org/copyleft/gpl.html>.  You may also obtain
   it by writing to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.

   $Id: rss-feed.xsl,v 1.1 2004/03/17 14:51:02 anders Exp $
-->
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:portcom="http://www.indexdata.dk/TKL"
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    xmlns:rss="http://purl.org/rss/1.0/"
    version="1.0">

    <xsl:output method="html" encoding="UTF-8"/>


  <xsl:template name="rss_channel">
     <xsl:param name="test" />
     <xsl:apply-templates select="$test"/>
    </xsl:template>
	    

  <xsl:template match="channel">
    <h2><xsl:value-of select="title"/></h2>
    <xsl:apply-templates select="item"/>
  </xsl:template>

  <xsl:template match="rss:channel">
    <h2><xsl:value-of select="rss:title"/></h2>
  </xsl:template>

  <xsl:template match="rss:item">
    <a href="{rss:link}"><xsl:value-of select="rss:title"/></a><br />
    <xsl:value-of select="rss:description"/><br />
  </xsl:template>

  <xsl:template match="item">
    <a href="{link}"><xsl:value-of select="title"/></a><br />
    <xsl:value-of select="description"/><br />
  </xsl:template>


</xsl:stylesheet>

